<?php

 // Data away manager library

 defined('WM3_cEXEC') or die('Denied');

 function createUserDataArray($w3,$row) // TODO sistemare bene
  {
   $ts      = wm3Util::renderDate($w3,$row['ts'],                $w3->getHomeLanguage());
   $last_ts = wm3Util::renderDate($w3,$row['last_user_login_ts'],$w3->getHomeLanguage());
   $data = array(
                 array($w3->getWord(1240).' (UserID/GroupID):',                      $row['login'] . ' (' . $row['userID'] . '/' . $row['groupID'] .')'),
                 array($w3->getWord(189),                                            $row['name'] . ' ' . $row['surname']),
                 array($w3->getWord(404),                                            $row['address'] . ' - ' . $row['zip_code'] . ' ' . $row['city'] . ' (' . $row['stateID'] . ') - ' . $row['countryID']),
                 array($w3->getWord(904).'/'.$w3->getWord(905).'/'.$w3->getWord(267),$row['phone'] . ' / ' . $row['fax'] . ' / ' . $row['cell']),
                 array($w3->getWord(221),                                            $row['email']),
                 array($w3->getWordExpansion(36),                                    $row['website']),
                 array($w3->getWordExpansion(37),                                    $row['msn'] . ' / ' . $row['skype'] . ' / ' . $row['icq']),
                 array($w3->getWord(903).'/'.$w3->getWordExpansion(38),              $row['birth_date'] . ' / ' . $row['birth_city'] . ' (' . $row['birth_stateID'] . ') ' . $row['birth_countryID'] . ' (Gender: ' . $row['gender'] . ')'),
                 array($w3->getWordExpansion(39),                                    $row['tax_code'] . ' / ' . $row['vat_code']),
                 array($w3->getWordExpansion(40),                                    $ts),
                 array($w3->getWordExpansion(41),                                    $last_ts),
                 array($w3->getWordExpansion(42),                                    $row['notes']),
                );
   return $data;
  }

 function createUserNewsArray($w3,$rs)
  {
   $i    = 0;
   $data = array();
   while($row = $w3->getDBObj()->fetch($rs,false))
    {
	 $ts = wm3Util::renderDate($w3,$row['news_ts'], $w3->getHomeLanguage());
     $data[$i] = array($row['newsID'],$row['categoryID'],$row['title'],$row['news'],$ts);
     $i++;
    }
   return $data;
  }

 function createUserNewsCommentsArray($w3,$rs)
  {
   $i    = 0;
   $data = array();
   while($row = $w3->getDBObj()->fetch($rs,false))
    {
	 $ts = wm3Util::renderDate($w3,$row['ts'], $w3->getHomeLanguage());
     $data[$i] = array($row['commentID'],$row['newsID'],$row['comment'],$ts);
     $i++;
    }
   return $data;
  }

 function createUserForumsPostArray($w3,$rs)
  {
   $i    = 0;
   $data = array();
   while($row = $w3->getDBObj()->fetch($rs,false))
    {
	 $ts = wm3Util::renderDate($w3,$row['ts'], $w3->getHomeLanguage());
     $data[$i] = array($row['postID'],$row['discussionID'],$row['forumID'],$row['post'],$ts);
     $i++;
    }
   return $data;
  }

 function createUserMessagesArray($w3,$rs)
  {
   $i    = 0;
   $data = array();
   while($row = $w3->getDBObj()->fetch($rs,false))
    {
	 $ts = wm3Util::renderDate($w3,$row['ts'], $w3->getHomeLanguage());
     $data[$i] = array($row['messageID'],$row['toID'],$row['fromID'],$row['subject'],$row['message'],$ts);
     $i++;
    }
   return $data;
  }

 function createUserLogsArray($w3,$rs)
  {
   $i    = 0;
   $data = array();
   while($row = $w3->getDBObj()->fetch($rs,false))
    {
	 $ts = wm3Util::renderDate($w3,$row['ts'], $w3->getHomeLanguage());
     $data[$i] = array($row['logID'],$row['referer'],$row['ip'],$row['dns'],$ts);
     $i++;
    }
   return $data;
  }

 function totalForumPosts($w3,$userID)
  {
   $query = new wm3DBSelect("count(*)",array('_forums_posts'),"userID = '$userID'");
   $row = $w3->getDBObj()->fetch($w3->getDBObj()->query($query),false);
   return $row[0];
  }

 function totalNews($w3,$userID,$comments = false)
  {
   if($comments) $query = new wm3DBSelect("count(*)",array('_news_comments'),"userID = '$userID'");
   else          $query = new wm3DBSelect("count(*)",array('_news'),         "userID = '$userID'");
   $row = $w3->getDBObj()->fetch($w3->getDBObj()->query($query),false);
   return $row[0];
  }

 function totalMessages($w3,$userID,$type = 'received')
  {
   if($type == 'received') $query = new wm3DBSelect("count(*)",array('_users_messages'),"toID   = '$userID'");
   if($type == 'sended')   $query = new wm3DBSelect("count(*)",array('_users_messages'),"fromID = '$userID'");
   $row = $w3->getDBObj()->fetch($w3->getDBObj()->query($query),false);
   return $row[0];
  }

 function totalLogs($w3,$userID)
  {
   $query = new wm3DBSelect("count(*)",array('_logs'),"userID = '$userID'");
   $row   = $w3->getDBObj()->fetch($w3->getDBObj()->query($query),false);
   return $row[0];
  }

 function userLogin($w3,$userID)
  {
   $query = new wm3DBSelect("login",array('_users'),"userID = '$userID'");
   $row   = $w3->getDBObj()->fetch($w3->getDBObj()->query($query),false);
   return $row[0];
  }
  
 function openHTML($title)               { return "<html><title>$title</title><body>"; }
 
 function openHTMLSection($title,$n)     { return "<table width=\"100%\" border=\"1\" cellspacing=\"0\"><tr bgcolor=\"#cccccc\"><td colspan=\"$n\"><b>$title</b></td></tr>"; }
 
 function createHTMLLabels($labels)      {
	                                      $str  = "<tr bgcolor=\"#cccccc\">";
	                                      foreach($labels as $key => $value) $str .= "<td><b>$value</b></td>";
	                                      $str .= "</tr>";
	                                      return $str;
	                                     }

 function createHTMLItem($i,$items)      {
	                                      if($i % 2 == 0) $c = "#ffffff"; else $c = "#eeeeee";
	                                      $str  = "<tr bgcolor=\"$c\">";
	                                      foreach($items as $key => $value) $str .= "<td>$value</td>";
	                                      $str .= "</tr>";
	                                      return $str;
	                                     }
 
 function closeHTMLSection($sep = false) { $str = "</table>"; if($sep) $str .= "<br/><hr/><br/>"; return $str; }
 
 function closeHTML()                    { return "</body></html>"; }

?>
